/**
  ******************************************************************************
  * @file    LowPower Exit
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/12/1
  * @brief   Main 
  ******************************************************************************
  * @attention
  *1UserKey򿪶Ӧⲿܽж
  *2ϵʱһʱ󣬲ſɹرLSIͽ˯ 
  *3˯ߺûʱUserKeyл
  *4˯߹ʱûϿVDDGND⣬оƬ 
  *5MCU봮룬ûɹ۲ 
  * 
  *
  * 
  * 
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "PT32x031x.h"

/** @addtogroup PT32x031_StdPeriph_Templates
  * @{
  */

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
#define UserKeyPin 	GPIO_Pin_0
#define UserKeyPort		GPIOB
#define UserKeyExtiPort 	EXTIB
#define UserIRQn		EXTIB_IRQn
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/**
* @brief ʱ
* @param 
* @retval 
*/
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<100; x++);
}

void Wake_Key_Init(GPIO_TypeDef* port,u32 gpio_pin,EXTI_TypeDef* exti,IRQn_Type irqn)
{
	NVIC_InitTypeDef NVIC_InitStruct;
	GPIO_InitTypeDef GPIO_InitStructure;					//һGPIO_InitTypeDef͵Ľṹ

	
	//GPIO˿жϴѡ
	EXTI_TriggerTypeConfig(exti,gpio_pin,EXTI_Trigger_RisingFalling);
	EXTI_ITConfig(exti,gpio_pin,ENABLE);		//GPIO˿жʹ
	
	/*ʹGPIONVIC*/
	NVIC_InitStruct.NVIC_IRQChannel = irqn;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0x00;
	NVIC_Init(&NVIC_InitStruct);
	
	GPIO_InitStructure.GPIO_Pin = gpio_pin;			//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_In;	//ģʽΪ
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_Up;
	GPIO_Init(port, &GPIO_InitStructure);			  //ÿ⺯ʼGPIO

}
/**
* @brief TIM4˯߻Ѻ
* @param 
* @retval 
*/
void Key_Wake_Sleep(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;

	GPIO_AnalogRemapConfig(AFIOA, GPIO_Pin_All, DISABLE);
	GPIO_AnalogRemapConfig(AFIOB, GPIO_Pin_All, DISABLE);
	GPIO_AnalogRemapConfig(AFIOF, GPIO_Pin_All, DISABLE);
	
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_All&(~GPIO_Pin_13)&(~GPIO_Pin_14),AFIO_AF_None,DISABLE);	//SWDӿڲ
	GPIO_DigitalRemapConfig(AFIOB, GPIO_Pin_All,AFIO_AF_None,DISABLE);
	GPIO_DigitalRemapConfig(AFIOF, GPIO_Pin_All,AFIO_AF_None,DISABLE);

	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_All;				//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_Down;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_In;
	GPIO_Init(GPIOA, &GPIO_InitStructure);
	GPIO_Init(GPIOF, &GPIO_InitStructure);
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_All&(~UserKeyPin);	
	GPIO_Init(GPIOB, &GPIO_InitStructure);
	
	PWR_EnterDeepSleepMode(PWR_DeepSleepEntry_WFI);   //˯ߣжϻ
	
	Software_Delay();
}

int main (void)
{
	Wake_Key_Init(UserKeyPort,UserKeyPin,UserKeyExtiPort,UserIRQn);
	Software_Delay();//оƬϵ󲻿͹ģʽ
	RCC_ClockSourceConfig(RCC_LSI,DISABLE);
	while(1)
	{
		Key_Wake_Sleep();
	}
}

#ifdef  USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{ 
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {
  }
}
#endif

/**
  * @}
  */


/************************ (C) COPYRIGHT PENGPAI Microelectronics *****END OF FILE****/
