/**
  ******************************************************************************
  * @file    LowPower PVD
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/12/1
  * @brief   Main 
  ******************************************************************************
  * @attention
  *1ʹPVDPVDжϣرPVDλʹ
  *2ʹVDDѹϵ磬ϵʱĬ̵
  *3ѹ½PVDֵѹPVDжϣָʾѹ쳣
  *4ָѹPVDֵѹ+͵ѹжϣϨ̵Ƶ
  *5ʱʹⲿɵԴDEMOй
  * 
  *
  * 
  * 
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "PT32x031x.h"

/** @addtogroup PT32x031_StdPeriph_Templates
  * @{
  */

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/**
* @brief ʱ
* @param 
* @retval 
*/
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<100; x++);
}

void LED_GPIO_Config(void)
{		
	GPIO_InitTypeDef GPIO_InitStructure;
	
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2;	
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OutPP;   
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_NoPull;
	GPIO_Init(GPIOA, &GPIO_InitStructure);

	/* رled	*/
	GPIO_SetBits(GPIOA, GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2);
}

/*******************************************************************************
*Function:	PVD_Int_Driver
*Description:	PVDģ
*Input:		
*Return:		
*Others:
*******************************************************************************/
void PVD_Int_Driver(void)
{
	RCC_ResetConfig(RCC_ResetEnable_PDRE,DISABLE);
	
	NVIC_EnableIRQ(PVD_IRQn);
	PWR_PVDLevelConfig(PWR_PVDLevel_3V0);//PVDֵΪ3.0V
	PWR_PVDCmd(ENABLE);				//PVDʹ
}

u8 green_flag=0;
u8 red_flag=0;
int main (void)
{
	LED_GPIO_Config();
	PVD_Int_Driver();
	
	while(1)
	{
		if(green_flag)
		{
			;
		}
		else
		{
			GPIO_SetBits(GPIOA,GPIO_Pin_0);
			GPIO_ResetBits(GPIOA,GPIO_Pin_2);//ϵĬ̵
			green_flag=1;
			red_flag=0;
		}
	}
}

#ifdef  USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{ 
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {
  }
}
#endif

/**
  * @}
  */


/************************ (C) COPYRIGHT PENGPAI Microelectronics *****END OF FILE****/
