/**
  ******************************************************************************
  * @file    PWM
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/12/1
  * @brief   Main 
  ******************************************************************************
  * @attention
  *1ø߼ƶʱLEDɫƣÿ0.5һж
  *2ÿ1תһGPIOܽţʹLEDÿϨһ 
  *3̼PT32x031x_it.cļ
  * 
  * 
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "PT32x031x.h"

/** @addtogroup PT32x031_StdPeriph_Templates
  * @{
  */

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/
void LED_GPIO_Config(void)
{		
	GPIO_InitTypeDef GPIO_InitStructure;
	
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2;	
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OutPP;   
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_NoPull;
	GPIO_Init(GPIOA, &GPIO_InitStructure);

	/* رled	*/
	GPIO_SetBits(GPIOA, GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2);
}
 
/**
  * @brief  ʱģʽ
  * @param  None
  * @retval None
  */
void TIM_Config(void)
{
  /*ʼTimer0*/
  /*TIMER0ĹʱΪϵͳʱӣ24MHz256Ƶ*/	
	/*Timer0ֵΪ46875,ʱΪ0.5S*/	
	NVIC_InitTypeDef	NVIC_InitStruct;
  PWM_TimeBaseInitTypeDef PWM_InitStruct;
	
	NVIC_InitStruct.NVIC_IRQChannel=TIM0_IRQn;
	NVIC_InitStruct.NVIC_IRQChannelPriority=0;
	NVIC_InitStruct.NVIC_IRQChannelCmd=ENABLE;
	NVIC_Init(&NVIC_InitStruct);
	
	PWM_InitStruct.PWM_InternalClockSource=PWM_InternalClockSource_PCLK;
	PWM_InitStruct.PWM_CenterAlignedMode=PWM_CenterAlignedMode_Disable;
	PWM_InitStruct.PWM_AutoReloadValue=46875;
	PWM_InitStruct.PWM_Direction=PWM_Direction_Up;
	PWM_InitStruct.PWM_Prescaler=255;
	
	PMW_TimeBaseInit(PWM0,&PWM_InitStruct);
	PWM_InterruptConfig(PWM0,PWM_OCIT_ARI,ENABLE);
	/*ʱ*/	
	PWM_Cmd(PWM0, ENABLE);	
}


/**
  * @brief  Main program.
  * @param  None
  * @retval None
  */
int main(void)
{
  /* ʼRGBʵ */
  LED_GPIO_Config();
  /*ʼʱ*/
	TIM_Config();
  /* Infinite loop */
  while (1)
  {       
  } 		 
}


#ifdef  USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{ 
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
  printf("Wrong parameters value: file %s on line %d\r\n", file, line);
  /* Infinite loop */
  while (1)
  {
  }
}
#endif

/**
  * @}
  */


/************************ (C) COPYRIGHT PENGPAI Microelectronics *****END OF FILE****/
