/**
  ******************************************************************************
  * @file    PT32x031x.h
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/12/1
  * @brief   
  *                 
  *          
  *
  ******************************************************************************
  * @attention
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __PT32x031_CONF_H
#define __PT32x031_CONF_H

/* Includes ------------------------------------------------------------------*/
/* Comment the line below to disable peripheral header file inclusion */
#include "PT32x031x_adc.h"
#include "PT32x031x_rcc.h"
#include "PT32x031x_beep.h"
#include "PT32x031x_ifmc.h"
#include "PT32x031x_gpio.h"
#include "PT32x031x_exti.h"
#include "PT32x031x_cmp.h"
#include "PT32x031x_opa.h"
#include "PT32x031x_pwr.h"
#include "PT32x031x_spi.h"
#include "PT32x031x_tim.h"
#include "PT32x031x_pwm.h"
#include "PT32x031x_uart.h"
#include "PT32x031x_wdg.h"
#include "PT32x031x_led.h"
#include "PT32x031x_nvic.h"
#include "PT32x031x_crc.h"
#include "PT32x031x_i2c.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Uncomment the line below to expanse the "assert_param" macro in the 
   Standard Peripheral Library drivers code */
//#define USE_FULL_ASSERT    1 

/* Exported macro ------------------------------------------------------------*/
#ifdef  USE_FULL_ASSERT

/**
  * @brief  The assert_param macro is used for function's parameters check.
  * @param  expr: If expr is false, it calls assert_failed function which reports 
  *         the name of the source file and the source line number of the call 
  *         that failed. If expr is true, it returns no value.
  * @retval None
  */
  #define assert_param(expr) ((expr) ? (void)0 : assert_failed((u8 *)__FILE__, __LINE__))
/* Exported functions ------------------------------------------------------- */
  void assert_failed(u8* file, u32 line);
#else
  #define assert_param(expr) ((void)0)
#endif /* USE_FULL_ASSERT */

#endif /* __STM32F0XX_CONF_H */

/************************ (C) COPYRIGHT PENGPAI Microelectronics *****END OF FILE****/
