/**
  ******************************************************************************
  * @file    CMP
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/12/1
  * @brief   Main 
  ******************************************************************************
  * @attention
  *1CMP0LEDƹܽţCMPж
  *		CMPΪBG1VʹÿɵԴӸ˹ܽţPA4ѹ
  *		CMP˵ı仯CMPжϣжϺжϺУ򽫵LED
	*2ڲ1ĻϼСˣжϣƱΪϨ
  *3ע⣺ѹӦڰȫΧоƬ 
  * 
  *
  * 
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "PT32x031x.h"

/** @addtogroup PT32x031_StdPeriph_Templates
  * @{
  */

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/**
  * @brief  Main program.
  * @param  None
  * @retval None
  */


void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<20; x++);
}

void CMP_Config()
{
  //Ƚʼ
	CMP_InitTypeDef  CMP_InitStruct;
	CMP_InitStruct.CMP_DigitalFilter=CMP_DigitalFilter_X64;  //Ƚ˲
	CMP_InitStruct.CMP_PowerMode = CMP_PowerMode_HighSpeed;        //ģʽʹܿ
	CMP_InitStruct.CMP_OutputPolarity = CMP_OutputPolarity_Normal; //Ƚѡ
	CMP_InitStruct.CMP_PositiveInput=CMP_PositiveInput_BG1V;       //ȽԴѡ
	CMP_InitStruct.CMP_InitializationDelayTime=600;		//ʼʱ
	CMP_Init(CMP0,&CMP_InitStruct);
	CMP_ModeConfig(CMP0,ENABLE);//CMPģʽ
	
	//ñȽ0 BG1VΪ룬PA4Ϊ  PA9ΪȽ
	GPIO_AnalogRemapConfig(AFIOA,GPIO_Pin_3,ENABLE);
	GPIO_AnalogRemapConfig(AFIOA,GPIO_Pin_4,ENABLE);
	GPIO_DigitalRemapConfig(AFIOA,GPIO_Pin_9,AFIO_AF_0,ENABLE);
	
	CMP_ITConfig(CMP0,CMP_IT_FALL|CMP_IT_RISE,ENABLE);
	NVIC_EnableIRQ(CMP0_IRQn);
	
	CMP_Cmd(CMP0,ENABLE);
}

void LED_GPIO_Config(void)
{		
	GPIO_InitTypeDef GPIO_InitStructure;
	
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2;	
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OutPP;   
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_NoPull;
	GPIO_Init(GPIOA, &GPIO_InitStructure);

	/* رled	*/
	GPIO_SetBits(GPIOA, GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2);
}
extern u8 cmp_it_flag;
int main(void)
{
  CMP_Config();
  LED_GPIO_Config();
	
  while (1)
  {
		
		if(cmp_it_flag)
		{
			GPIO_ResetBits(GPIOA,GPIO_Pin_0);
		}
		else
		{
			GPIO_SetBits(GPIOA,GPIO_Pin_0);
		}
  }
}


#ifdef  USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{ 
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {
  }
}
#endif

/**
  * @}
  */


/************************ (C) COPYRIGHT PENGPAI Microelectronics *****END OF FILE****/
