/**
  ******************************************************************************
  * @file    LED Display 
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/12/1
  * @brief   Main 
  ******************************************************************************
  * @attention
  *1LEDʾsystickģ
  *2systickΪÿ0.5sжһΣLEDÿԡ00009999
  *
  * 
  * 
  * ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "PT32x031x.h"

/** @addtogroup PT32x031_StdPeriph_Templates
  * @{
  */

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
static __IO uint32_t TimingDelay;
/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/
void LED_Config()
{
	LED_InitTypeDef  LED_InitStruct;
		/*ܸͨ*/	
  GPIO_DigitalRemapConfig(AFIOF, GPIO_Pin_0, AFIO_AF_2,ENABLE);
  GPIO_DigitalRemapConfig(AFIOF, GPIO_Pin_1, AFIO_AF_2,ENABLE);	
  GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_0, AFIO_AF_2,ENABLE);	
  GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_1, AFIO_AF_2,ENABLE);	
  GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_2, AFIO_AF_2,ENABLE);	
  GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_3, AFIO_AF_2,ENABLE);	
  GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_4, AFIO_AF_2,ENABLE);	
  GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_6, AFIO_AF_2,ENABLE);	
  GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_9, AFIO_AF_2,ENABLE);	
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_10, AFIO_AF_2,ENABLE);	
  GPIO_DigitalRemapConfig(AFIOB, GPIO_Pin_1, AFIO_AF_2,ENABLE);	
	GPIO_DigitalRemapConfig(AFIOB, GPIO_Pin_2, AFIO_AF_2,ENABLE);	
	
	/*ʼ*/	
	LED_StructInit(&LED_InitStruct);
  LED_Init(&LED_InitStruct);
	/*ʾ*/
  LED_Cmd(ENABLE);
	/*ʾֵʼ ȫʾΪ0*/
	LED_UpdataDisplay(LED_COM0, 0x00);
	LED_UpdataDisplay(LED_COM1, 0x00);
	LED_UpdataDisplay(LED_COM2, 0x00);
	LED_UpdataDisplay(LED_COM3, 0x00);
}

/**
  * @brief  ϵͳδʱ SysTick
  * @param  
  * @retval 
  */
void SysTick_Init(void)
{
	/* 0.5sжһ
	 */
	if (SysTick_Config(RCC_GetClockFreq(RCC_HCLK) / 2))	
	{ 
		/* Capture error */ 
		while (1);
	}
}

/**
  * @brief  ȡĳ
  * @param  
  * @retval 
  * @attention   SysTick жϺ SysTick_Handler()
  */
void TimingDelay_Decrement(void)
{
	if (TimingDelay != 0x00)
	{ 
		TimingDelay--;
	}
}

/**
  * @brief  Main program.
  * @param  None
  * @retval None
  */
int main(void)
{
	/* ܶ˿ڳʼ */
	LED_Config();
	/* SysTick */
	SysTick_Init();
  /* Infinite loop */
  while (1)
  {
   /*Systickж洦ʾ*/
  }
}


#ifdef  USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{ 
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {
  }
}
#endif

/**
  * @}
  */


/************************ (C) COPYRIGHT PENGPAI Microelectronics *****END OF FILE****/
